/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/AA.H__   1.6   20 Jun 1996 09:30:24   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/AA.H__  $
** 
**    Rev 1.6   20 Jun 1996 09:30:24   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.4   10 Jun 1996 10:25:02   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.2   29 May 1996 09:37:46   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// aa.h
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _AA_
#define _AA_

class AATool : public CToolOption
{      
// constructor/destructor
public:
    AATool() { SetDefault(); }
    
// attributes
public:      
    BOOL    m_fCase;
    BOOL    m_fDebug;
    BOOL    m_fList;
    BOOL    m_fListAll;
    BOOL    m_fOptimize;
    CString m_strMore;
    CString m_strPath;

    virtual LPCSTR GetToolName(void) const 
    {
        return "BSO asm51 Assembler";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);
    virtual CString GetOption(void) const;

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _AA_
